Bug 1387892 - Provisioning Host details of the Content Hosts navigates to in-correct URL over the Web UI
Summary: Provisioning Host details of the Content Hosts navigates to in-correct URL ov...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts - Content
Version: 6.2.2
Hardware: x86_64
OS: Linux
low
low vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Ondřej Pražák
URL:
Whiteboard:
: 1429468 (view as bug list)
Depends On:
Blocks: 1429468
TreeView+ depends on / blocked
 
Reported: 2016-10-23 07:50 UTC by anerurka
Modified: 2019-12-16 07:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1429468 (view as bug list)
Environment:
Last Closed: 2018-02-21 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17110 0 None None None 2016-10-26 12:38:31 UTC

Description anerurka 2016-10-23 07:50:13 UTC
Description of problem:

Provisioning Host details of the Content Hosts navigates to in-correct URL over the Web UI

Version-Release number of selected component (if applicable):

v.6.2.2

Steps to Reproduce:

1. Provision a machine from Satellite Server and register the same.

2. Login to Satellite Server Web UI

3. Navigate to 'Hosts -> Content Hosts', select desired content host, then click on the 'provisioning details' tab, Click on the 'Name' link.

Actual results:

- The link navigates to "https://satelliteURL.domain.com/hosts" url where you have to search for the server name

Expected results:

-->  It should redirect you to "https://satelliteURL.domain.com/hosts/hostname.domain.com" url

Comment 2 Brad Buckingham 2016-10-26 12:38:29 UTC
Created redmine issue http://projects.theforeman.org/issues/17110 from this bug

Comment 3 Brad Buckingham 2016-10-26 12:44:36 UTC
Upstream Katello PR: https://github.com/Katello/katello/pull/6411

Comment 4 Ondřej Pražák 2017-08-02 11:27:31 UTC
Verified.

Sat-6.3.0 snap 9.0

Comment 5 Ondřej Pražák 2017-08-02 11:44:01 UTC
*** Bug 1429468 has been marked as a duplicate of this bug. ***

Comment 6 Satellite Program 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.